# gcp::MesomeryArrow Class Reference

`#include <gcp/mesomery-arrow.h>`

Inheritance diagram for gcp::MesomeryArrow:

List of all members.

## Public Member Functions

| MesomeryArrow (Mesomery *mesomery)
virtual | ~MesomeryArrow ()
xmlNodePtr | Save (xmlDocPtr xml) const
bool | Load (xmlNodePtr node)
void | Add (GtkWidget *w) const
void | Update (GtkWidget *w) const
void | SetStartMesomer (Mesomer *mesomer)
Mesomer * | GetStartMesomer ()
void | SetEndMesomer (Mesomer *mesomer)
Mesomer * | GetEndMesomer ()
void | Reverse ()

## Detailed Description

Arrow class for double headed arrows used in mesomery relationships.

Definition at line 38 of file mesomery-arrow.h.

## Constructor & Destructor Documentation

gcp::MesomeryArrow::MesomeryArrow | ( | Mesomery * | mesomery | ) |

Parameters:

  | mesomery | the parent mesomery relationship if any.

Constructs a mesomery arrow. If mesomery is not NULL, the arrow becomes is added to its children list.

virtual gcp::MesomeryArrow::~MesomeryArrow | ( |  | ) | `[virtual]`

The destructor.

## Member Function Documentation

xmlNodePtr gcp::MesomeryArrow::Save | ( | xmlDocPtr | xml | ) | const`[virtual]`

Parameters:

  | xml | the xmlDoc used to save the document.

Used to save the arrow to the xmlDoc.

Returns:
  the xmlNode containing the serialized arrow.

Reimplemented from gcu::Object.

bool gcp::MesomeryArrow::Load | ( | xmlNodePtr | node | ) | `[virtual]`

Parameters:

  | node,: | a pointer to the xmlNode containing the serialized arrow.

Used to load an arrow in memory.

Returns:
  true on succes, false otherwise.

Reimplemented from gcp::Arrow.

void gcp::MesomeryArrow::Add | ( | GtkWidget * | w | ) | const`[virtual]`

Parameters:

  | w | the GtkWidget inside which the arrow will be displayed.

Used to add a representation of the arrow in the widget.

Reimplemented from gcu::Object.

void gcp::MesomeryArrow::Update | ( | GtkWidget * | w | ) | const`[virtual]`

Parameters:

  | w | the GtkWidget inside which the arrow is displayed.

Used to update the representation of the arrow in the widget.

Reimplemented from gcu::Object.

void gcp::MesomeryArrow::SetStartMesomer | ( | Mesomer * | mesomer | ) | `[inline]`

Parameters:

  | mesomer | a mesomer

Sets mesomer at first end of the arrow. This does not affect coordinates, alignment is dealt with elsewhere.

Definition at line 85 of file mesomery-arrow.h.

Mesomer* gcp::MesomeryArrow::GetStartMesomer | ( |  | ) | `[inline]`

Returns:
  the mesomer at first end of the arrow.

Definition at line 89 of file mesomery-arrow.h.

void gcp::MesomeryArrow::SetEndMesomer | ( | Mesomer * | mesomer | ) | `[inline]`

Parameters:

  | mesomer | a mesomer

Sets mesomer at last end of the arrow. This does not affect coordinates, alignment is dealt with elsewhere.

Definition at line 96 of file mesomery-arrow.h.

Mesomer* gcp::MesomeryArrow::GetEndMesomer | ( |  | ) | `[inline]`

Returns:
  the mesomer at last end of the arrow.

Definition at line 100 of file mesomery-arrow.h.

void gcp::MesomeryArrow::Reverse | ( |  | ) |

Exchange both ends or the arrow and their associated mesomers.

The documentation for this class was generated from the following file:

- mesomery-arrow.h